Bug 258469 - Spontaneous crash when closing Konqueror
Summary: Spontaneous crash when closing Konqueror
Status: RESOLVED DUPLICATE of bug 210878
Alias: None
Product: Network Management
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
: 258989 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-01 10:15 UTC by Steffen Möller
Modified: 2011-02-11 16:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Möller 2010-12-01 10:15:40 UTC
Application: knetworkmanager (v0.9)
KDE Platform Version: 4.4.5 (KDE 4.4.5)
Qt Version: 4.6.3
Operating System: Linux 2.6.36-rc6-amd64 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
Working with the KDE packages in sid, all at the latest version. Konqueror was started automatically at the start of KDE at the page last seen and it did so nicely. The error apparently occurred when I then closed the page and have opened iceweasel more or less in parallel.

The error I had seen before, but could not submit because of some missing debug packages. Now I seem to have them.  Yesterday I have also added the debian multimedia site to the sources.list, but have not (yet) installed the non-free flash player.

Good luck and many thanks,

SM

 -- Backtrace:
Application: KNetworkManager (knetworkmanager), signal: Segmentation fault
[KCrash Handler]
#5  0x00007f4162ae6dca in Knm::Activatable::deviceUni() const () from /usr/lib/libknminternals.so.4
#6  0x00007f41628abe8d in ?? () from /usr/lib/libknmservice.so.4
#7  0x00007f41628abfb3 in ?? () from /usr/lib/libknmservice.so.4
#8  0x00007f41628ac250 in ?? () from /usr/lib/libknmservice.so.4
#9  0x00007f41628ac540 in SortedActivatableList::handleAdd(Knm::Activatable*) () from /usr/lib/libknmservice.so.4
#10 0x00007f416289c3cb in ActivatableList::notifyOnAddActivatable(Knm::Activatable*) () from /usr/lib/libknmservice.so.4
#11 0x00007f416289dcd0 in NetworkInterfaceActivatableProvider::maintainActivatableForUnconfigured() () from /usr/lib/libknmservice.so.4
#12 0x00007f416289e36f in NetworkInterfaceActivatableProvider::handleAdd(Knm::Connection*) () from /usr/lib/libknmservice.so.4
#13 0x00007f416289e081 in NetworkInterfaceActivatableProvider::init() () from /usr/lib/libknmservice.so.4
#14 0x00007f416289d0c0 in NetworkInterfaceMonitor::networkInterfaceAdded(QString const&) () from /usr/lib/libknmservice.so.4
#15 0x00007f4162897d4d in NetworkInterfaceMonitor::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libknmservice.so.4
#16 0x00007f4160cae2e6 in QMetaObject::activate (sender=0x1cdd890, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3295
#17 0x00007f4162180445 in Solid::Control::NetworkManager::Notifier::networkInterfaceAdded (this=0x7fff1fb51890, _t1=<value optimized out>) at ./networkmanager.moc:107
#18 0x00007f4162180dec in Solid::Control::NetworkManagerPrivate::qt_metacall (this=0x1cdd890, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff1fb51e70) at ./networkmanager_p.moc:81
#19 0x00007f4160cae2e6 in QMetaObject::activate (sender=0x1d0b090, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3295
#20 0x00007f41547dbbb5 in NMNetworkManager::networkInterfaceAdded (this=0x7fff1fb51890, _t1=<value optimized out>) at ./manager.moc:134
#21 0x00007f41547dc2da in NMNetworkManager::deviceAdded (this=0x1d0b090, objpath=...) at ../../../solid/networkmanager-0.7/manager.cpp:199
#22 0x00007f41547e00a9 in NMNetworkManager::qt_metacall (this=0x1d0b090, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff1fb52050) at ./manager.moc:111
#23 0x00007f4160cae2e6 in QMetaObject::activate (sender=0x1d0d250, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3295
#24 0x00007f41547e9772 in OrgFreedesktopNetworkManagerInterface::DeviceAdded (this=0x7fff1fb51890, _t1=<value optimized out>) at ./nm-manager-clientinterface.moc:155
#25 0x00007f41547e9b04 in OrgFreedesktopNetworkManagerInterface::qt_metacall (this=0x1d0d250, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff1fb522f0) at ./nm-manager-clientinterface.moc:102
#26 0x00007f4160fda591 in QDBusConnectionPrivate::deliverCall (this=<value optimized out>, object=<value optimized out>, msg=<value optimized out>, metaTypes=..., slotIdx=<value optimized out>) at qdbusintegrator.cpp:904
#27 0x00007f4160fe4c8f in QDBusCallDeliveryEvent::placeMetaCall (this=0x7fff1fb51890, object=0x1d849f0) at qdbusintegrator_p.h:101
#28 0x00007f4160caae29 in QObject::event (this=0x1d0d250, e=0x1dbeae0) at kernel/qobject.cpp:1248
#29 0x00007f416142432c in QApplicationPrivate::notify_helper (this=0x1bbbce0, receiver=0x1d0d250, e=0x1dbeae0) at kernel/qapplication.cpp:4302
#30 0x00007f416142a80b in QApplication::notify (this=0x7fff1fb52f90, receiver=0x1d0d250, e=0x1dbeae0) at kernel/qapplication.cpp:4185
#31 0x00007f41632657a6 in KApplication::notify (this=0x7fff1fb52f90, receiver=0x1d0d250, event=0x1dbeae0) at ../../kdeui/kernel/kapplication.cpp:302
#32 0x00007f4160c9b09c in QCoreApplication::notifyInternal (this=0x7fff1fb52f90, receiver=0x1d0d250, event=0x1dbeae0) at kernel/qcoreapplication.cpp:726
#33 0x00007f4160c9e744 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x1b8f530) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x1b8f530) at kernel/qcoreapplication.cpp:1367
#35 0x00007f4160cc4b73 in sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#36 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#37 0x00007f415d462042 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#38 0x00007f415d465f78 in ?? () from /lib/libglib-2.0.so.0
#39 0x00007f415d46612c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#40 0x00007f4160cc46b3 in QEventDispatcherGlib::processEvents (this=0x1b8ec50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#41 0x00007f41614d419e in QGuiEventDispatcherGlib::processEvents (this=0x7fff1fb51890, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#42 0x00007f4160c999c2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#43 0x00007f4160c99d9c in QEventLoop::exec (this=0x7fff1fb52ee0, flags=) at kernel/qeventloop.cpp:201
#44 0x00007f4160c9ea2b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#45 0x000000000040eacf in _start ()

Possible duplicates by query: bug 257472, bug 255159, bug 254337, bug 252712, bug 250798.

Reported using DrKonqi
Comment 1 Dario Andres 2010-12-02 22:28:42 UTC
[Comment from a bug triager]
This looks related to bug 210878, which describes a crash when the NetworkManager daemon is restarted. Do you remember if there were some system update in progress on background that may have caused the NetworkManager restart ?
Regards
Comment 2 Steffen Möller 2011-01-09 03:28:24 UTC
(In reply to comment #1)
> [Comment from a bug triager]
> This looks related to bug 210878, which describes a crash when the
> NetworkManager daemon is restarted. Do you remember if there were some system
> update in progress on background that may have caused the NetworkManager
> restart ?
> Regards

The system update is not unlikely, but more so possibly just a late availability of the internet which does not "ifup eth0" automatically for me.
Comment 3 Frank Reininghaus 2011-02-11 16:03:20 UTC
*** Bug 258989 has been marked as a duplicate of this bug. ***
Comment 4 Frank Reininghaus 2011-02-11 16:04:29 UTC
It very much looks like bug 210878. Note that there have been commits recently which might fix the problem.

*** This bug has been marked as a duplicate of bug 210878 ***